## org.eclipse.datatools.connectivity.db.generic
Class JDBCConnection

    java.lang.Object
      org.eclipse.datatools.connectivity.VersionProviderConnection
          org.eclipse.datatools.connectivity.DriverConnectionBase
              org.eclipse.datatools.connectivity.db.generic.JDBCConnection

All Implemented Interfaces:
  IConnection, IServerVersionProvider

public class JDBCConnection
extends DriverConnectionBase

NON-API IConnection implementation for `java.sql.Connection` objects. This object is responsible for openening and closing JDBC connections. The property keys specified in `org.eclipse.datatools.connectivity.db.generic.IDBConnectionProfileConstants` are used to create the connection. Version information is provided by using `java.sql.DatabaseMetaData`.

Field Summary
`static java.lang.String` `TECHNOLOGY_NAME`
`static java.lang.String` `TECHNOLOGY_ROOT_KEY`

Constructor Summary
`JDBCConnection(IConnectionProfile profile, java.lang.Class factoryClass)`

Method Summary
`void` `close()` Closes the underlying native connection object.
`java.lang.String` `getProviderName()`
`Version` `getProviderVersion()`
`java.lang.String` `getTechnologyName()`
`Version` `getTechnologyVersion()`

Methods inherited from class org.eclipse.datatools.connectivity.DriverConnectionBase
`getConnectException, getRawConnection, open`

Methods inherited from class org.eclipse.datatools.connectivity.VersionProviderConnection
`getConnectionFactoryClass, getConnectionProfile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TECHNOLOGY_ROOT_KEY

    public static final java.lang.String TECHNOLOGY_ROOT_KEY

See Also:
  Constant Field Values

### TECHNOLOGY_NAME

    public static final java.lang.String TECHNOLOGY_NAME

Constructor Detail

### JDBCConnection

    public JDBCConnection(IConnectionProfile profile,
                          java.lang.Class factoryClass)

Method Detail

### close

    public void close()

  Description copied from interface: `IConnection`
  Closes the underlying native connection object. This causes other users of this connection to be notified of this connection's closure.

### getProviderName

    public java.lang.String getProviderName()

  Returns:
    the name of the provider (e.g. ASE)

### getProviderVersion

    public Version getProviderVersion()

  Returns:
    the version of the server (e.g. 12.5)

### getTechnologyName

    public java.lang.String getTechnologyName()

  Returns:
    the technology name; null if not supported (e.g. JMS)

### getTechnologyVersion

    public Version getTechnologyVersion()

  Returns:
    the version of the technology running on the server (e.g. 1.1)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.